Get actions
curl --request GET \
--url https://incoming.qomon.app/actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://incoming.qomon.app/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://incoming.qomon.app/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ActionsAggreg": [
{
"Action": {
"ID": 1,
"Addresses": [
{
"addition": "<string>",
"building": "<string>",
"building_type": "house",
"city": "Paris",
"country": "France",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "12",
"id": 7,
"infos": "<string>",
"latitude": "48.8606",
"location": "48.8606,2.3376",
"longitude": "2.3376",
"pollingstation": "<string>",
"postalcode": "75001",
"score": 123,
"state": "<string>",
"street": "Rue de Rivoli"
}
],
"CreatedAt": "2023-11-07T05:31:56Z",
"Forms": [
{
"id": 1,
"label": "Volunteer registration",
"refvalues": [
{
"form_id": 1,
"id": 1,
"label": "Yes",
"value": "yes",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"max": 5,
"min": 1,
"order": 1,
"step": 1
}
],
"type": "radio",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"group_id": [
123
]
}
],
"Teams": [
{
"id": 101,
"name": "Team Number1",
"address": {
"addition": "<string>",
"building": "<string>",
"building_type": "house",
"city": "Paris",
"country": "France",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "12",
"id": 7,
"infos": "<string>",
"latitude": "48.8606",
"location": "48.8606,2.3376",
"longitude": "2.3376",
"pollingstation": "<string>",
"postalcode": "75001",
"score": 123,
"state": "<string>",
"street": "Rue de Rivoli"
},
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"hide_users": true,
"leaders": [
{
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
],
"private": true,
"updated_at": "2023-11-07T05:31:56Z",
"userswithactive": [
{
"active": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
]
}
],
"UpdatedAt": "2023-11-07T05:31:56Z",
"Users": [
{
"active": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
],
"advanced_search": "<unknown>",
"broadcast_link": "<string>",
"cover_img": "<unknown>",
"created_by": 1,
"created_by_details": {
"avatar": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"status": "<string>"
},
"end": "2023-11-07T05:31:56Z",
"featured": true,
"form_state": "<string>",
"goal": 123,
"goal_forms": 123,
"gotv_abstention_tag": "<string>",
"gotv_not_voted_tag": "<string>",
"gotv_voted_tag": "<string>",
"group_id": 1,
"hide_broadcast_link": true,
"leaders": [
{
"active": true,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
}
],
"links": [
"<string>"
],
"maximum_capacity": 1,
"name": "Let's mobilize",
"pitch": "<string>",
"polygon": "<string>",
"promote_sharing": true,
"public": true,
"registration_link": "<string>",
"restricted": true,
"site_id": "<string>",
"site_slug": "<string>",
"site_state": "<string>",
"start": "2023-11-07T05:31:56Z",
"status": "todo",
"survey_id": 1,
"time_zone": "<string>",
"type_data": "canvassing"
},
"NbContacts": 123,
"NbVisites": 123,
"NbVisitesDeclared": 123
}
]
},
"status": "success"
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Actions
Get actions
Get actions
GET
/
actions
Get actions
Last modified on September 3, 2026
Was this page helpful?
⌘I

